%define module HTTP
%define srcname http-20060707

Name: haskell-%{module}
Version: 2006.7.7
Release: %mkrel 2
Summary: A library for client-side HTTP
Url: http://www.haskell.org/http
Group: Development/Other
License: BSD3
Source: http://www.haskell.org/http/download/%{srcname}.tar.gz
BuildRequires: ghc
BuildRequires: haddock
BuildRoot: %_tmppath/%name-%version-%release-root
Requires(post): ghc
Requires(preun): ghc

%description
A library for client-side HTTP

%prep
%setup -q -n %{srcname}

%build
runhaskell Setup.lhs configure --prefix=%{_prefix}
runhaskell Setup.lhs build
runhaskell Setup.lhs haddock

runhaskell Setup.lhs   register --gen-script
runhaskell Setup.lhs unregister --gen-script

%install
runhaskell Setup.lhs copy --destdir=%{buildroot}

rm -rf %buildroot%{_datadir}/%{module}-%{version}/doc

%check
runhaskell Setup.lhs test

%post -f register.sh

%preun -f unregister.sh

%files
%defattr(-,root,root)
%doc dist/doc/html
%doc README
%_libdir/%{module}-%{version}

%clean
rm -fr %buildroot


%changelog
* Tue Feb 27 2007 Olivier Thauvin <nanardon@mandriva.org> 2006.7.7-2mdv2007.0
+ Revision: 126206
- use the powerfull --gen-script cabal option to register the module

* Mon Jan 15 2007 Olivier Thauvin <nanardon@mandriva.org> 2006.7.7-1mdv2007.1
+ Revision: 109006
- release tag is 1 now

* Mon Jan 15 2007 Olivier Thauvin <nanardon@mandriva.org> 2006.7.7-0.2mdv2007.1
+ Revision: 108991
- buildrequires
- first mandriva pkg
- Create haskell-HTTP

